Name:           gupnp-ui
Version:        0.1.1
Release:        7%{?dist}
Summary:        GUPnP-UI is a collection of helpers for adding ui to upnp apps

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gupnp.org/
Source0:        http://www.gupnp.org/sources/%{name}/%{name}-%{version}.tar.gz
Patch0:         gupnp-ui-testapp.patch
Patch1:         gupnp-ui-fixdso.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gssdp-devel
BuildRequires: gupnp-devel
BuildRequires: gtk2-devel
BuildRequires: libsoup-devel

Requires: dbus

%description
GUPnP is an object-oriented open source framework for creating UPnP 
devices and control points, written in C using GObject and libsoup. 
The GUPnP API is intended to be easy to use, efficient and flexible. 

GUPnP-UI is a collection of helpers for building user interface
application components for gupnp applications.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk2-devel
Requires: pkgconfig

%description devel
Files for development with %{name}.

%package docs
Summary: Documentation files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk-doc
BuildArch: noarch

%description docs
This package contains developer documentation for %{name}.

%prep
%setup -q
%patch0 -p0 -b .testapp
%patch1 -p1 -b .fixdso

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libgupnp-ui-1.0.so.0
%{_libdir}/libgupnp-ui-1.0.so.0.0.0

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/gupnp-ui-1.0
%{_includedir}/gupnp-ui-1.0/libgupnp-ui
%{_libdir}/pkgconfig/gupnp-ui-1.0.pc
%{_libdir}/libgupnp-ui-1.0.so

%files docs
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/%{name}

%changelog
* Mon Mar  1 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.1-7
- Add patch to fix DSO linking. Fixes bug 564608

* Thu Sep 17 2009 Bastien Nocera <bnocera@redhat.com> 0.1.1-6
- Rebuild for new gupnp

* Thu Jul 30 2009 Jesse Keating <jkeating@redhat.com> - 0.1.1-5
- Rebuild for Fedora 12 mass rebuild
- Fix the docs subpackage files section

* Wed Mar 4 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.1-4
- Move docs to noarch subpackage

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 16 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.1-2
- Review fixes

* Wed Jul 9 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.1-1
- Update to new version

* Wed Jul 9 2008 Peter Robinson <pbrobinson@gmail.com> 0.1-1
- Initial release
